
Uses
Windows, Sysutils;

var PMem: array[1..1000] of  pointer;
var i: Integer;

begin
for i := 0 to StrToInt(ParamStr(1)) -1 do
begin
PMem[i] := AllocMem (1049172);
end;

for i:=0 to StrToInt(ParamStr(1)) -1 do
begin
 FreeMem(PMem[i], 1049172);
end;
end.

